#pragma once
#include "zwischenfilter.h"
#include "massnahme.h"
#include "art.h"
#include "ergebnis.h"
#include "datenbank.h"
#include <vector>

// visdireckt-Ansicht

class visdireckt: public CScrollView
{
    DECLARE_DYNCREATE (visdireckt)

protected:
    visdireckt(); // Dynamische Erstellung verwendet geschützten Konstruktor
    virtual ~visdireckt();

public:
#ifdef _DEBUG
    virtual void AssertValid() const;
#ifndef _WIN32_WCE
    virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
public:
    vector< vector< ergebnis*> > massnahmenergeb;
    struct pixelqual
    {
        int pixel_i;
        int pixel_j;
        double aqual;
    };
    vector< pixelqual> pq;
    //struct artenanzahl{CString artname;int zaehler;};
    struct artenanzahl
    {
        CString artname;
        vector< pixelqual> pq;
        int zaehler;
    };
    virtual void OnDraw( CDC* pDC); // Überladen, um diese Ansicht darzustellen
    //void OnInitialUpdate(vector<vector<ergebnis*> > mergeb, bool datenbank);     // Erster Aufruf nach Erstellung
    virtual void OnInitialUpdate();
    zwischenfilter wndFilterKontrolleDialog;
    bool daten;DECLARE_MESSAGE_MAP()
public:
    static visdireckt *GetView();

};

